installation on several nodes failed with errors relating to dmsetup remove of ceph devices.

Bug #1768893 reported by Jason Hobbs on 2018-05-03
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MAAS
Undecided
Unassigned
curtin
High
Ryan Harper

Bug Description

During a build of FCB, installation on several nodes failed with errors relating to dmsetup remove of ceph devices. Here's an example:

http://paste.ubuntu.com/p/prBvWtQyJC/

versions:

maas 2.3.2-6485-ge93e044-0ubuntu1~16.04.1
python3-curtin_18.1-1-g45564eef-0ubuntu1~16.04.1
Cloud-init v. 18.2

logs: http://people.canonical.com/~jhobbs/infra-logs-19af7264-6ae3-40fc-8bfa-ba90365f2e79.tar

Related branches

tags: added: cdo-qa cdo-qa-blocker foundations-engine
description: updated
Revision history for this message
Andres Rodriguez (andreserl) wrote :

Hi Jason,

Could you please attach the Curtin configuration sent by MAAS: maas <user> machine get-curtin-config <system_id>

That said, it seems that the 'dmsetup' is what's failing, it could be a proper error from dmsetup or a potential issue with curtin ?

Changed in maas:
milestone: none → 2.4.0rc1
status: New → Incomplete
Revision history for this message
Jason Hobbs (jason-hobbs) wrote :

Andres - there is no good way to get that during automated tests (see bug 1768911). Shouldn't maas/curtin be logging that if it's required to debug issues?

Revision history for this message
Jason Hobbs (jason-hobbs) wrote :

Also, since the tarball includes a database dump, shouldn't you have all the information you need to see what the curtin config would be, since it's generated from information in the database?

Changed in maas:
status: Incomplete → New
Revision history for this message
Blake Rouse (blake-rouse) wrote :

Jason,

You can use get-curtin-config even when the machine has failed deployment. Correct about the database dump, we could load the database and make the same command.

Doing that in QA anytime you get a failed deployment would be better.

Ryan Harper (raharper) on 2018-05-04
Changed in curtin:
importance: Undecided → High
status: New → Incomplete
Changed in maas:
status: New → Incomplete
Revision history for this message
Andres Rodriguez (andreserl) wrote :

Marking this as incomplete. It doesn't seem like a MAAS issue at first glance.

The yaml config is required by curtin developers to determine what the storage configuration is.

Revision history for this message
Jason Hobbs (jason-hobbs) wrote :

15:17 < ivoks> charm [ceph-osd] creates vgs and lvs for ceph
15:17 < ivoks> and curtin fails to clean those up properly
15:17 < jhobbs> that's new right? the vgs and lvs
15:17 < ivoks> yes, that's in -next charms

Changed in maas:
milestone: 2.4.0rc1 → 2.4.0rc2
David Britton (dpb) on 2018-05-11
Changed in curtin:
status: Incomplete → In Progress
assignee: nobody → Ryan Harper (raharper)
Revision history for this message
Andres Rodriguez (andreserl) wrote :

Marking this as invalid for MAAS as this is an issue in curtin which is already being addressed.

Changed in maas:
status: Incomplete → Invalid
Revision history for this message
Scott Moser (smoser) wrote :

An upstream commit landed for this bug.

To view that commit see the following URL:
https://git.launchpad.net/curtin/commit/?id=4bf7750b

Changed in curtin:
status: In Progress → Fix Committed
Revision history for this message
Ryan Harper (raharper) wrote : Fixed in curtin version 18.1-17-gae48e86f-0ubuntu1.

This bug is believed to be fixed in curtin in version18.1-17-gae48e86f-0ubuntu1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in curtin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers